{
  description = "Nichkaras Hyprland desktop";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    home-manager.url = "github:nix-community/home-manager";
    home-manager.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs = { self, nixpkgs, home-manager, ... }:
    let
      system = "x86_64-linux";
    in {
      homeConfigurations.user = home-manager.lib.homeManagerConfiguration {
        pkgs = import nixpkgs { inherit system; };
        modules = [
          {
            home.username = "nichkara";
            home.homeDirectory = "/home/nichkara";

            # Programme
            programs.hyprland.enable = true;
            programs.waybar.enable = true;
            programs.kitty.enable = true;

            # Config-Dateien einbinden
            xdg.configFile."hypr/hyprland.conf".source = ./hyprland.conf;
            xdg.configFile."waybar/config".source = ../.config/waybar/config;
            xdg.configFile."kitty/kitty.conf".source = ../.config/kitty/kitty.conf;
          }
        ];
      };
    };
}
